AliasMapProtocolServerSideTranslatorPB (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocolPB, class: AliasMapProtocolServerSideTranslatorPB

Package org.apache.hadoop.hdfs.protocolPB

# Class AliasMapProtocolServerSideTranslatorPB

java.lang.Object
org.apache.hadoop.hdfs.protocolPB.AliasMapProtocolServerSideTranslatorPB

All Implemented Interfaces:
  `org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.AliasMapProtocolService.BlockingInterface`, `AliasMapProtocolPB`

@Private @Unstable public class AliasMapProtocolServerSideTranslatorPB extends Object implements AliasMapProtocolPB
AliasMapProtocolServerSideTranslatorPB is responsible for translating RPC calls and forwarding them to the internal InMemoryAliasMap.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AliasMapProtocolServerSideTranslatorPB(InMemoryAliasMapProtocol aliasMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.BlockPoolResponseProto`
  `getBlockPoolId(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.BlockPoolRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.ListResponseProto`
  `list(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.ListRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.ReadResponseProto`
  `read(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.ReadRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.WriteResponseProto`
  `write(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.WriteRequestProto request)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AliasMapProtocolServerSideTranslatorPB

    public AliasMapProtocolServerSideTranslatorPB(InMemoryAliasMapProtocol aliasMap)

- ## Method Details

  - ### write

    public org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.WriteResponseProto write(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.WriteRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `write` in interface `org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.AliasMapProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### read

    public org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.ReadResponseProto read(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.ReadRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `read` in interface `org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.AliasMapProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### list

    public org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.ListResponseProto list(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.ListRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `list` in interface `org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.AliasMapProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getBlockPoolId

    public org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.BlockPoolResponseProto getBlockPoolId(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.BlockPoolRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getBlockPoolId` in interface `org.apache.hadoop.hdfs.protocol.proto.AliasMapProtocolProtos.AliasMapProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`